import type { SSMClient } from '@aws-sdk/client-ssm';
import { type Settings } from './settings.js';
/**
 * Returns settings for all accounts
 */
export declare const getAllAccountsSettings: ({ ssm, stackName, }: {
    ssm: SSMClient;
    stackName: string;
}) => Promise<Record<string, Settings>>;
